Last Comment Bug 883203 - On OS X, run all plugins OOP by default when in 32-bit mode (i386/x86)
: On OS X, run all plugins OOP by default when in 32-bit mode (i386/x86)
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: seamonkey2.21
Assigned To: Philip Chee
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 09:29 PDT by Philip Chee
Modified: 2013-07-21 04:48 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
unaffected


Attachments
Patch v1.0 (1.85 KB, patch)
2013-06-14 11:55 PDT, Philip Chee
iann_bugzilla: review+
stefanh: feedback+
neil: approval‑comm‑aurora+
iann_bugzilla: approval‑comm‑beta+
Details | Diff | Review

Description Philip Chee 2013-06-14 09:29:21 PDT
From Bug 863830 Comment 0:

> As a first step, let's make all plugins run OOP in 32-bit mode, without 
> exceptions, and see what happens.  This should happen first on trunk, and 
> should graduate to other branches as part of the normal, 6 week release cycle. 

> In other words, the progress of this change onto the branches shouldn't be 
> accelerated.

> If we find any 32-bit plugins that need to run in-process, we can consider 
> making exceptions for them.
Comment 1 Philip Chee 2013-06-14 11:55:10 PDT
Created attachment 762826 [details] [diff] [review]
Patch v1.0

Need some feedback from someone on OS X hence Stefan.
Comment 2 Stefan [:stefanh] 2013-06-14 13:05:36 PDT
Comment on attachment 762826 [details] [diff] [review]
Patch v1.0

Makes sense to me.
Comment 3 Philip Chee 2013-06-14 21:15:24 PDT
> Makes sense to me.
Yes. But does it have the expected effect on OS X? I can't test obviously.
Comment 4 Stefan [:stefanh] 2013-06-16 11:26:28 PDT
I can't test the patch since my build is a pure 64-bit, but with a nightly I can see that the Google Earth plugin runs its own process if I set the 'dom.ipc.plugins.enabled.i386' pref to true and restart in 32-bit mode.
Comment 5 Philip Chee 2013-06-16 21:44:33 PDT
Comment on attachment 762826 [details] [diff] [review]
Patch v1.0

OK, thanks Stefan. Over to IanN.
Comment 6 Philip Chee 2013-06-21 03:22:17 PDT
Comment on attachment 762826 [details] [diff] [review]
Patch v1.0

[Approval Request Comment]
Regression caused by (bug #): N/A Referenced Firefox Bug 863830 landed on mozilla23
User impact if declined: 32bit plugins aren't run as OOP. Buggy plugins can crash SeaMonkey if they aren't run in a separate process.
Testing completed (on m-c, etc.):  Tested and baked on m-c since 2013-04-25
Risk to taking this patch (and alternatives if risky): low to none since:

Bug 863830 Comment 0:
> We've since dropped support for the QuickDraw drawing model (in FF 18) and
> the Carbon event model (in FF 19)

Any remaining 32bit plugins should be able to run OOP.

String changes made by this patch: None.
Comment 7 Philip Chee 2013-06-21 03:35:16 PDT
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/d24d0ef7532c
a=Callek CLOSED TREE
Comment 8 Philip Chee 2013-07-21 04:26:50 PDT
> neil@parkwaycc.co.uk 2013-07-21 03:43:59 PDT
> Attachment #762826 [details] [diff] - Flags: approval-comm-aurora? → approval-comm-aurora+
This rode the trains and landed on aurora already:
https://hg.mozilla.org/releases/comm-aurora/rev/d24d0ef7532c
Comment 9 Ian Neal 2013-07-21 04:32:14 PDT
Comment on attachment 762826 [details] [diff] [review]
Patch v1.0

[Triage Comment]
a=me for comm-beta
Comment 10 Philip Chee 2013-07-21 04:48:39 PDT
Pushed to comm-beta:
https://hg.mozilla.org/releases/comm-beta/rev/4b022ddb9be4

Note You need to log in before you can comment on or make changes to this bug.